Bug 40160 - Screenshot in ini file is ignored in UCS 4.1
Screenshot in ini file is ignored in UCS 4.1
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-0-errata
Assigned To: Dirk Wiesenthal
Alexander Kläser
:
Depends on:
Blocks: 40636
  Show dependency treegraph
 
Reported: 2015-12-02 12:26 CET by Dirk Wiesenthal
Modified: 2016-02-11 14:02 CET (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2015-12-02 12:26:11 CET
In UCS 4.1, the ini file should contain a variable called Thumbnails=. But the code says that while it is deprecated, Screenshot= is still supported. There is even a method get_screenshot_url.

But while the value is actually sent to the frontend, it is not stored anywhere. The frontend does not show the screenshot in absence of thumbnails.

Two possibilities:
1. Fix frontend, show screenshot
2. Fix backend, remove screenshot

I vote for 2.
Comment 1 Stefan Gohmann univentionstaff 2015-12-29 09:47:09 CET
(In reply to Dirk Wiesenthal from comment #0)
> I vote for 2.

Me too.
Comment 2 Dirk Wiesenthal univentionstaff 2016-02-09 02:02:25 CET
Fixed in
  univention-appcenter 5.0.19-47.104.201602090155
Comment 3 Alexander Kläser univentionstaff 2016-02-10 12:36:57 CET
Output of univention-app dev-populate-appcenter --help:
> [...]
>  -s SCREENSHOT [SCREENSHOT ...], --screenshot SCREENSHOT [SCREENSHOT ...]
>                        Path to a screenshot. Needs to be mentioned in INI as
>                        Screenshot=.... If the screenshot is localised
>                        (Screenshot= in [de]), two screenshots should be given
>  -t THUMBNAILS [THUMBNAILS ...], --thumbnails THUMBNAILS [THUMBNAILS ...]
>                        Path to Thumbnails. Need to be mentioned in INI as
>                        Thumbnails=.... If the thumbnails are localised
>                        (Thumbnails= in [de]), two first [en], then [de]
>                        Thumbnails should be given

As there are other comments for options that are only available for 4.1/4.0, it would be helpful. BTW, I do not understand the description for the thumbnails option, "two first [en], then [de] Thumbnails should be given". Is this correct, that the first 2 thumbs are Englisch and the rest German? Or does it mean it is alternating?

I would vote for removing screenshot from udm/handlers/appcenter/app.py as it is obsolete in any way. The schema file will be left untouched.

I spotted two screenshot entries:
> $ grep -i '^screenshot=' $(find meta-inf/4.1/ -name \*.ini) 
> meta-inf/4.1/self-service/self-service_20151117.ini:Screenshot=self-service_screenshot.jpg
> meta-inf/4.1/filewave/filewave_20151023.ini:Screenshot=filewave_screenshot.png
Could you have a look or open a ticket for these?

Otherwise the changes seem to be fine. I could create apps via univention-app dev-populate-appcenter with screenshots (for UCS 4.0).
Comment 4 Dirk Wiesenthal univentionstaff 2016-02-10 13:16:22 CET
Documentation adapted, screenshot removed from UDM in
  univention-appcenter 5.0.19-54.111.201602101312
Comment 5 Dirk Wiesenthal univentionstaff 2016-02-10 13:42:51 CET
(In reply to Alexander Kläser from comment #3)
> I spotted two screenshot entries:
> > $ grep -i '^screenshot=' $(find meta-inf/4.1/ -name \*.ini) 
> > meta-inf/4.1/self-service/self-service_20151117.ini:Screenshot=self-service_screenshot.jpg
> > meta-inf/4.1/filewave/filewave_20151023.ini:Screenshot=filewave_screenshot.png
> Could you have a look or open a ticket for these?

Self Service: Renamed Screenshot to Thumbnails
Filewave: A new ini file will replace this one. Currently Test App Center only
Comment 6 Alexander Kläser univentionstaff 2016-02-10 15:14:05 CET
(In reply to Dirk Wiesenthal from comment #4)
> Documentation adapted, screenshot removed from UDM in
>   univention-appcenter 5.0.19-54.111.201602101312

Changes: OK, looks good now, I am happy :) .
YAML file: OK

(In reply to Dirk Wiesenthal from comment #5)
> Self Service: Renamed Screenshot to Thumbnails
> Filewave: A new ini file will replace this one. Currently Test App Center
> only

OK.

VERIFIED
Comment 7 Janek Walkenhorst univentionstaff 2016-02-11 14:02:20 CET
<http://errata.software-univention.de/ucs/4.1/104.html>